Subject: Re: .tar.gz
From: [email-masked] (Chris Faylor)

28 Jul 1997 12:13:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
    <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>,
Fergus Henderson  <[email-masked]> wrote:
>>If you are not using GNU tar then you may have to unzip the file
>>before untarring
>>
>>    gunzip -c file.tar.gz | tar xf -
>
>Last time I checked (version b17.1), this did not work,
>because pipes were opened in text mode, not binary mode.
>Instead I had to use
>
>     gunzip file.tar.gz
>     tar xf - file.tar
>
>Has this changed since b17.1?

I don't think so.  But using the 'z' option to gnutar works as it
always has:

	tar xzf file.tar.gz

There has been at least one copy of bash floating around which was
compiled with O_BINARY as the default for open.  That would allow the pipe
version above to work.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".